# include "../lexgen1/ldefs.c"
rprint(a, s, n)
	char *s;
	int *a;
{
int i;
printf(output, "block data\n");
printf(output, "common /L%s/ %s\n", s,s);
printf(output, "define S%s %d\n",s,n);
printf(output, "integer %s(S%s)\n",s,s);
for(i=1;i<n;i++)
	printf(output, "data %s(%d)/%d/;\n",s,i,a[i]);
printf(output, "end\n");
}
